## ceilometer 8.1.2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

cachetools>=1.1.0 # MIT License
cotyledon>=1.3.0 #Apache-2.0
futures>=3.0;python_version=='2.7' or python_version=='2.6' # BSD
futurist>=0.11.0 # Apache-2.0
debtcollector>=1.2.0 # Apache-2.0
tenacity>=3.1.0 # Apache-2.0
jsonpath-rw-ext>=0.1.9 # Apache-2.0
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
kafka-python>=1.3.1 # Apache-2.0
keystonemiddleware!=4.1.0,>=4.0.0 # Apache-2.0
lxml>=2.3 # BSD
monotonic
msgpack-python>=0.4.0 # Apache-2.0
oslo.concurrency>=3.5.0 # Apache-2.0
oslo.config>=3.9.0 # Apache-2.0
oslo.db>=4.1.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
oslo.rootwrap>=2.0.0 # Apache-2.0
PasteDeploy>=1.5.0 # MIT
pbr>=1.6 # Apache-2.0
pecan>=1.0.0 # BSD
oslo.messaging>=5.2.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
pysnmp<5.0.0,>=4.2.3 # BSD
python-glanceclient>=2.0.0 # Apache-2.0
python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
keystoneauth1>=2.1.0 # Apache-2.0
python-neutronclient>=4.2.0 # Apache-2.0
python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
python-swiftclient>=2.2.0 # Apache-2.0
python-cinderclient>=1.6.0,!=1.7.0,!=1.7.1  # Apache-2.0
PyYAML>=3.1.0 # MIT
requests!=2.9.0,>=2.8.1 # Apache-2.0
six>=1.9.0 # MIT
SQLAlchemy<1.1.0,>=1.0.10 # MIT
sqlalchemy-migrate>=0.9.6 # Apache-2.0
stevedore>=1.9.0 # Apache-2.0
tooz>=1.28.0 # Apache-2.0
WebOb>=1.5.0 # MIT
WSME>=0.8 # MIT
# NOTE(jd) We do not import it directly, but WSME datetime string parsing
# behaviour changes when this library is installed
python-dateutil>=2.4.2 # BSD

=== debian/changelog ===
ceilometer (1:8.1.2-1) unstable; urgency=medium

  * New upstream version
  * Edit debian/control to match requirements
  * Edit patch-requirements.txt-to-allow-sqla-1.1.patch
  * Remove ceilometer-dbsync from install
  * Remove gnocchi_resources.yaml from install
  * Remove show_data.py from install
  * Add removing AUTHORS,ChangeLog in dh_clean as it is generated dynamically
  * Add removing ceilometer.egg-info in dh_clean as it is generated
    dynamically

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 22 Nov 2017 10:45:23 +0100

ceilometer (1:7.0.1-5) unstable; urgency=medium

  * Fix ceilometer-api: add "--" as DAEMON_ARGS (Closes: #861199).
  * Also fix the default port to 8777 as it should (instead of the default
    port 8000 which is wrong).

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Apr 2017 10:51:50 +0200

ceilometer (1:7.0.1-4) unstable; urgency=medium

  * Fix ceilometer-agent-central .service file (Closes: #861202).
  * Fix ceilometer-agent-compute .service file (Closes: #861203).

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Apr 2017 15:36:56 +0000

ceilometer (1:7.0.1-3) unstable; urgency=medium

  * Re-integrate NMU from Piotr fixing SQLAlchemy << 1.1 dependency.
  * German debconf translation update (Closes: #842484).

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Apr 2017 17:53:05 +0200

ceilometer (1:7.0.1-2) unstable; urgency=medium

  * Team upload.
  * Use --gecos instead of -gecos with adduser (Closes: #846247).
  * Bump build dependency on openstack-pkg-tools (Closes: #858684).

 -- David Rabel <david.rabel@noresoft.com>  Sat, 01 Apr 2017 11:20:23 +0200

ceilometer (1:7.0.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch requirements.txt to drop SQLAlchemy << 1.1 dependency

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 03 Feb 2017 23:21:31 +0100

=== debian/control ===
Source: ceilometer
Section: web
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 10),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 54~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: git,
                     mongodb,
                     python-awsauth,
                     python-concurrent.futures,
                     python-contextlib2,
                     python-openssl,
                     python-cachetools (>= 1.1.0),
                     python-cotyledon,
                     python-coverage,
                     python-dateutil (>= 2.4.2),
                     python-tenacity (>= 3.1.0),
                     python-debtcollector (>= 1.2.0),
                     python-elasticsearch (>= 1.3.0),
                     python-fixtures (>= 1.3.1),
                     python-futurist (>= 0.11.0),
                     python-gabbi (>= 1.11.0),
                     python-glanceclient (>= 1:2.0.0),
                     python-gnocchiclient (>= 2.2.0),
                     python-happybase,
                     python-jsonpath-rw-ext (>= 0.1.9),
                     python-jsonschema,
                     python-kafka (>= 1.3.1),
                     python-keystoneauth1 (>= 2.1.0),
                     python-keystoneclient (>= 1:1.6.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-kombu,
                     python-lxml,
                     python-migrate (>= 0.9.6),
                     python-mock (>= 1.3),
                     python-msgpack (>= 0.4.0),
                     python-mysqldb,
                     python-neutronclient (>= 1:4.2.0),
                     python-novaclient (>= 2:2.29.0),
                     python-openstackdocstheme (>= 1.0.3),
                     python-os-api-ref (>= 0.1.0),
                     python-os-testr (>= 0.4.1),
                     python-os-win (>= 0.2.3),
                     python-oslo.cache (>= 1.5.0),
                     python-oslo.concurrency (>= 3.5.0),
                     python-oslo.config (>= 1:3.9.0),
                     python-oslo.db (>= 4.1.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 2.0.0),
                     python-oslo.messaging (>= 5.2.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslo.reports (>= 1.0.0),
                     python-oslo.rootwrap (>= 2.0.0),
                     python-oslo.serialization (>= 2.0.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslo.vmware (>= 1.16.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:1.10.0),
                     python-pastedeploy,
                     python-pecan (>= 1.0.0),
                     python-psycopg2 (>= 2.5),
                     python-pymongo (>= 3.0.2),
                     python-pymysql,
                     python-pysnmp4,
                     python-requests (>= 2.8.1),
                     python-retrying,
                     python-six (>= 1.9.0),
                     python-sphinxcontrib-pecanwsme,
                     python-sphinxcontrib.httpdomain,
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.9.0),
                     python-swiftclient (>= 1:2.2.0),
                     python-cinderclient (>= 1.6.0),
                     python-tempest (>= 1:14.0.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-tooz (>= 1.28.0),
                     python-webob,
                     python-webtest (>= 2.0),
                     python-werkzeug,
                     python-wsme (>= 0.8),
                     python-yaml,
                     subunit,
                     tempest (>= 1:14.0.0),
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-ceilometer?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-ceilometer -b debian/newton
Homepage: http://wiki.openstack.org/Ceilometer

Package: python-ceilometer
Section: python
Architecture: all
Depends: libjs-jquery,
         python-concurrent.futures,
         python-cachetools (>= 1.1.0),
         python-cotyledon,
         python-dateutil (>= 2.4.2),
         python-tenacity (>= 3.1.0),
         python-debtcollector (>= 1.2.0),
         python-futurist (>= 0.11.0),
         python-glanceclient (>= 1:2.0.0),
         python-greenlet,
         python-happybase,
         python-jsonpath-rw-ext (>= 0.1.9),
         python-jsonschema,
         python-kafka (>= 1.3.1),
         python-keystoneauth1 (>= 2.1.0),
         python-keystoneclient (>= 1:1.6.0),
         python-keystonemiddleware (>= 4.0.0),
         python-kombu,
         python-lxml,
         python-migrate (>= 0.9.7),
         python-msgpack (>= 0.4.0),
         python-mysqldb,
         python-neutronclient (>= 1:4.2.0),
         python-novaclient (>= 2:2.29.0),
         python-oslo.concurrency (>= 3.5.0),
         python-oslo.config (>= 1:3.9.0),
         python-oslo.db (>= 4.1.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 2.0.0),
         python-oslo.messaging (>= 5.2.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 0.5.0),
         python-oslo.reports (>= 1.0.0),
         python-oslo.rootwrap (>= 2.0.0),
         python-oslo.serialization (>= 2.0.0),
         python-oslo.utils (>= 3.5.0),
         python-oslo.vmware (>= 1.16.0),
         python-pastedeploy,
         python-pbr (>= 1.8),
         python-pecan (>= 1.0.0),
         python-pymongo,
         python-pymysql,
         python-pysnmp4,
         python-requests (>= 2.8.1),
         python-retrying,
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.9.0),
         python-swiftclient (>= 1:2.2.0),
         python-cinderclient (>= 1.6.0),
         python-tooz (>= 1.28.0),
         python-webob,
         python-werkzeug,
         python-wsme (>= 0.8),
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack efficient metering counters system - Python libraries
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the Python libraries that are needed for all parts of
 Ceilometer.

Package: ceilometer-common
Architecture: all
Depends: adduser,
         dpkg-dev,
         python-ceilometer (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Description: OpenStack efficient metering counters system - common files
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains files that are needed for all parts of Ceilometer.

Package: ceilometer-collector
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Suggests: mongodb,
Description: OpenStack efficient metering counters system - collector service
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the collector service.

Package: ceilometer-api
Architecture: all
Depends: adduser,
         ceilometer-common (= ${binary:Version}),
         debconf,
         python-openstackclient,
         q-text-as-data,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Suggests: mongodb,
Description: OpenStack efficient metering counters system (API service)
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the API service.

Package: ceilometer-agent-compute
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack efficient metering counters system - compute agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the compute agent.

Package: ceilometer-agent-central
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack efficient metering counters system - central agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the central agent.

Package: ceilometer-agent-ipmi
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ipmitool,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack efficient metering counters system - IPMI agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the IPMI agent daemon.

=== debian/rules ===
#!/usr/bin/make -f

export HOME="$(CURDIR)/debian/test"
include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@  --with python2,systemd,sphinxdoc

override_dh_clean:
	dh_clean
	rm -rf .testrepository
	rm -f debian/ceilometer-common.config debian/ceilometer-common.postinst debian/ceilometer-api.config debian/ceilometer-api.postinst

override_dh_install:
	rm -rf $(CURDIR)/debian/tmp
	python2.7 setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp
	rm -rf $(CURDIR)/debian/tmp/usr/etc

	dh_install --fail-missing

	# Manage ceilometer.conf
	mkdir -p $(CURDIR)/debian/ceilometer-common/usr/share/ceilometer-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/ceilometer-common/usr/share/ceilometer-common/ceilometer.conf \
		--wrap-width 140 \
		--namespace ceilometer \
		--namespace oslo.concurrency \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace oslo.policy \
		--namespace oslo.service.service \
		--namespace keystonemiddleware.auth_token
	sed -i 's|[# \t]*auth_protocol[\t ]*=.*|auth_protocol=http|' $(CURDIR)/debian/ceilometer-common/usr/share/ceilometer-common/ceilometer.conf
	chmod 0644 $(CURDIR)/debian/ceilometer-common/usr/share/ceilometer-common/ceilometer.conf
	sed -i 's|#connection[ \t]*=.*|connection=mongodb://localhost:27017/ceilometer|' $(CURDIR)/debian/ceilometer-common/usr/share/ceilometer-common/ceilometer.conf

override_dh_auto_build:
	dh_auto_build
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ceilometer-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ceilometer-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ceilometer-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ceilometer-api.postinst

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .testrepository
	find . -iname '*.pyc' -delete
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -f AUTHORS
	rm -f ChangeLog
	rm -rf ceilometer.egg-info

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	rm -rf .testrepository
	testr init
	set -e ; \
		TEMP_REZ=`mktemp -t` ; \
		bash -x ./debian/setup-test-env-mongodb.sh testr run --subunit --parallel 'tests\.(?!(.*test_bin.*|.*functional.*|.*gabbi\.test_gabbi_prefix.*|.*meter\.test_notifications\.TestMeterProcessing\.test_fallback_meter_path.*|.*agent\.test_manager\.TestRunTasks\.test_batching_polled_samples_false.*))' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ;
	testr slowest
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/ceilometer-doc/usr/share/doc/ceilometer-doc/html
	mkdir -p $(CURDIR)/debian/ceilometer-doc/usr/share/doc/ceilometer-doc/html/_static
	touch $(CURDIR)/debian/ceilometer-doc/usr/share/doc/ceilometer-doc/html/_static/toggle.js
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

## ceilometer 8.1.5

=== requirements.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 jsonpath-rw-ext>=0.1.9 # Apache-2.0
 jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
 kafka-python>=1.3.1 # Apache-2.0
-keystonemiddleware!=4.1.0,>=4.0.0 # Apache-2.0
+keystonemiddleware!=4.19.0,!=4.1.0,>=4.0.0 # Apache-2.0
 lxml>=2.3 # BSD
 monotonic
 msgpack-python>=0.4.0 # Apache-2.0

=== debian/changelog ===
ceilometer (1:8.1.5-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New stable point release for OpenStack Ocata (LP: #1778729).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 26 Jun 2018 15:36:20 -0400

ceilometer (1:8.1.4-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New stable point release for OpenStack Ocata (LP: #1759855).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 01 May 2018 10:01:01 -0400

ceilometer (1:8.1.3-0ubuntu1) xenial-ocata; urgency=medium

  [ Corey Bryant ]
  * New upstream version.
  * d/p/disable-kafka.patch: Rebased.

  [ James Page ]
  * d/p/default-poll-interval.patch: Change default polling interval to
    ensure alignment with Gnocchi when using alarming/autoscaling (LP:
    #1750531).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 20 Feb 2018 11:17:01 +0000

ceilometer (1:8.1.2-0ubuntu1) zesty; urgency=medium

  * New stable point release for OpenStack Ocata (LP: #1736149).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 04 Dec 2017 10:05:21 -0500

ceilometer (1:8.1.1-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * d/p/*: Rebased.
  * New stable point release for OpenStack Ocata (LP: #1718730).
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 21 Sep 2017 13:23:17 -0400

ceilometer (1:8.0.2-0ubuntu0.17.04.1) zesty; urgency=medium

  * New stable point release for OpenStack Ocata (LP: #1706297).

 -- James Page <james.page@ubuntu.com>  Tue, 25 Jul 2017 16:33:13 +0100

=== debian/control ===
Source: ceilometer
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: apache2-dev,
               debhelper (>= 9),
               dh-apache2,
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr (>= 1.10.0),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-awsauth,
                     python-cachetools (>= 1.1.0),
                     python-cinderclient (>= 1.6.0),
                     python-contextlib2 (>= 0.4.0),
                     python-cotyledon (>= 1.3.0),
                     python-coverage (>= 3.6),
                     python-croniter,
                     python-debtcollector (>= 1.2.0),
                     python-fixtures (>= 1.3.1),
                     python-concurrent.futures (>= 3.0),
                     python-futurist (>= 0.11.0),
                     python-gabbi (>= 1.11.0),
                     python-glanceclient (>= 1:2.0.0),
                     python-gnocchiclient (>= 2.7.0),
                     python-happybase (>= 0.5),
                     python-jsonpath-rw-ext (>= 0.1.9),
                     python-jsonschema (>= 2.0.0),
                     python-kafka (>= 1.3.1),
                     python-keystoneauth1 (>= 2.1.0),
                     python-keystoneclient (>= 1:1.6.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-lxml (>= 2.3),
                     python-migrate (>= 0.9.6),
                     python-mock (>= 1.2),
                     python-monotonic,
                     python-msgpack (>= 0.4.0),
                     python-neutronclient (>= 1:4.2.0),
                     python-novaclient (>= 2:2.29.0),
                     python-openssl (>= 0.14),
                     python-openstackdocstheme (>= 1.0.3),
                     python-os-api-ref (>= 0.1.0),
                     python-os-testr (>= 0.4.1),
                     python-os-win (>= 0.2.3),
                     python-oslo.cache (>= 1.5.0),
                     python-oslo.concurrency (>= 3.5.0),
                     python-oslo.config (>= 1:3.9.0),
                     python-oslo.db (>= 4.1.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 1.14.0),
                     python-oslo.messaging (>= 5.2.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslo.reports (>= 0.6.0),
                     python-oslo.rootwrap (>= 2.0.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslo.vmware (>= 1.16.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-psycopg2 (>= 2.5),
                     python-pymongo,
                     python-pymysql,
                     python-pastedeploy (>= 1.5.0),
                     python-pecan (>= 1.0.0),
                     python-pysnmp4 (>= 4.2.3),
                     python-dateutil (>= 2.4.2),
                     python-requests (>= 2.8.1),
                     python-six (>= 1.9.0),
                     python-sphinxcontrib-pecanwsme (>= 0.8),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.9.0),
                     python-swiftclient (>= 1:2.2.0),
                     python-tempest (>= 1:11.0.0),
                     python-tenacity (>= 3.1.0),
                     python-testrepository (>= 0.0.18),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-tooz (>= 1.28.0),
                     python-webob (>= 1.5.0),
                     python-webtest (>= 2.0),
                     python-wsme (>= 0.8),
                     python-yaml (>= 3.1.0),
                     subunit,
                     testrepository
Standards-Version: 3.9.6
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ceilometer
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ceilometer

Package: python-ceilometer
Architecture: all
Depends: python-cachetools (>= 1.1.0),
         python-cinderclient (>= 1.6.0),
         python-cotyledon,
         python-croniter,
         python-debtcollector (>= 1.2.0),
         python-concurrent.futures (>= 3.0),
         python-futurist (>= 0.11.0),
         python-glanceclient (>= 1:2.0.0),
         python-jsonpath-rw-ext (>= 0.1.9),
         python-jsonschema,
         python-keystoneauth1 (>= 2.1.0),
         python-keystoneclient (>= 1:1.6.0),
         python-keystonemiddleware (>= 4.0.0),
         python-libvirt,
         python-lxml,
         python-migrate (>= 0.9.6),
         python-monotonic,
         python-msgpack (>= 0.4.0),
         python-neutronclient (>= 4.2.0),
         python-novaclient (>= 2:2.29.0),
         python-oslo.concurrency (>= 3.5.0),
         python-oslo.config (>= 1:3.9.0),
         python-oslo.db (>= 4.1.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.16.0),
         python-oslo.messaging (>= 5.2.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 0.5.0),
         python-oslo.reports (>= 0.6.0),
         python-oslo.rootwrap (>= 2.0.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.5.0),
         python-pastedeploy,
         python-pecan (>= 1.0.0),
         python-pysnmp4 (>= 4.2.3),
         python-dateutil (>= 2.4.2),
         python-requests (>= 2.8.1),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.9.0),
         python-swiftclient (>= 1:2.2.0),
         python-tenacity (>= 3.1.0),
         python-tooz (>= 1.28.0),
         python-webob,
         python-wsme (>= 0.8),
         python-yaml,
         ${misc:Depends},
         ${python:Depends}
Suggests: python-gnocchiclient,
          python-kafka,
          python-psycopg2,
          python-pymongo,
          python-pymysql,
Description: ceilometer python libraries
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the python libraries that are needed for all parts
 of ceilometer

Package: ceilometer-common
Architecture: all
Depends: adduser,
         python-ceilometer (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Provides: ${python:Provides},
Breaks: ceilometer-polling (<< 1:5.0.0~rc1-0ubuntu2~),
Replaces: ceilometer-polling (<< 1:5.0.0~rc1-0ubuntu2~),
Description: ceilometer common files
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains files that are needed for all parts of ceilometer

Package: ceilometer-collector
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Suggests: mongodb,
Description: ceilometer collector service
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the collector service

Package: ceilometer-polling
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Suggests: mongodb,
Description: ceilometer polling service
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the polling service.

Package: ceilometer-api
Architecture: all
Depends: apache2 | httpd,
         ceilometer-common (= ${binary:Version}),
         libapache2-mod-wsgi,
         ${misc:Depends},
         ${python:Depends}
Suggests: mongodb,
Description: ceilometer api service
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 This package contains the api service

Package: ceilometer-agent-compute
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Description: ceilometer compute agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the compute agent

Package: ceilometer-agent-central
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Description: ceilometer central agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the central agent.

Package: ceilometer-agent-ipmi
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ipmitool,
         ${misc:Depends},
         ${python:Depends}
Description: ceilometer ipmi agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the ipmi agent.

Package: ceilometer-agent-notification

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)
export HOME="$(CURDIR)/debian/test"

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with apache2,python2,systemd

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	rm -rf .testrepository
	testr init && \
	set -e && \
		TEMP_REZ=`mktemp -t` && \
			OS_TEST_PATH=./ceilometer/tests/unit testr run --subunit | tee $$TEMP_REZ | subunit2pyunit; \
	rm -f $$TEMP_REZ
endif

override_dh_install:
	PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=etc/ceilometer/ceilometer-config-generator.conf
	dh_install --fail-missing -Xusr/etc/ceilometer/ceilometer-config-generator.conf -Xusr/bin/ceilometer-api \
		-Xusr/etc/ceilometer/polling.yaml

override_dh_auto_clean:
	dh_auto_clean
	rm -f etc/ceilometer/ceilometer.conf etc/ceilometer/ceilometer.conf.sample
	rm -rf .testrepository
	rm -rf pbr*.egg
	rm -f debian/*.init debian/*.service debian/*.upstart

## ceilometer 9.0.1

=== requirements.txt ===
--- 
+++ 
@@ -7,16 +7,15 @@
 futures>=3.0;python_version=='2.7' or python_version=='2.6' # BSD
 futurist>=0.11.0 # Apache-2.0
 debtcollector>=1.2.0 # Apache-2.0
-tenacity>=3.1.0 # Apache-2.0
 jsonpath-rw-ext>=0.1.9 # Apache-2.0
 jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
-kafka-python>=1.3.1 # Apache-2.0
-keystonemiddleware!=4.19.0,!=4.1.0,>=4.0.0 # Apache-2.0
+kafka-python>=1.3.2 # Apache-2.0
+keystonemiddleware!=4.1.0,>=4.0.0 # Apache-2.0
 lxml>=2.3 # BSD
 monotonic
 msgpack-python>=0.4.0 # Apache-2.0
 oslo.concurrency>=3.5.0 # Apache-2.0
-oslo.config>=3.9.0 # Apache-2.0
+oslo.config>=3.22.0 # Apache-2.0
 oslo.db>=4.1.0 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0
 oslo.log>=1.14.0 # Apache-2.0
@@ -26,7 +25,7 @@
 PasteDeploy>=1.5.0 # MIT
 pbr>=1.6 # Apache-2.0
 pecan>=1.0.0 # BSD
-oslo.messaging>=5.2.0 # Apache-2.0
+oslo.messaging>=5.12.0 # Apache-2.0
 oslo.middleware>=3.0.0 # Apache-2.0
 oslo.serialization>=1.10.0 # Apache-2.0
 oslo.utils>=3.5.0 # Apache-2.0
@@ -41,12 +40,14 @@
 PyYAML>=3.1.0 # MIT
 requests!=2.9.0,>=2.8.1 # Apache-2.0
 six>=1.9.0 # MIT
-SQLAlchemy<1.1.0,>=1.0.10 # MIT
+SQLAlchemy>=1.0.10 # MIT
 sqlalchemy-migrate>=0.9.6 # Apache-2.0
 stevedore>=1.9.0 # Apache-2.0
-tooz>=1.28.0 # Apache-2.0
+tenacity>=3.2.1  # Apache-2.0
+tooz[zake]>=1.47.0 # Apache-2.0
 WebOb>=1.5.0 # MIT
 WSME>=0.8 # MIT
 # NOTE(jd) We do not import it directly, but WSME datetime string parsing
 # behaviour changes when this library is installed
 python-dateutil>=2.4.2 # BSD
+os-xenapi>=0.1.1 # Apache-2.0

=== debian/changelog ===
ceilometer (1:9.0.1-0ubuntu1) artful; urgency=medium

  * New stable point release for OpenStack Pike (LP: #1719728).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 27 Sep 2017 09:44:01 -0400

ceilometer (1:9.0.0-0ubuntu4) artful; urgency=medium

  * d/ceilometer-common.postinst: Drop ceilometer-upgrade (LP: #1713059).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 29 Aug 2017 10:41:26 -0400

ceilometer (1:9.0.0-0ubuntu3) artful; urgency=medium

  * d/p/drop-kafka.patch: Drop kafka as it is a Suggested package and not
    in main.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Aug 2017 11:41:35 -0400

ceilometer (1:9.0.0-0ubuntu2) artful; urgency=medium

  * d/ceilometer-common.dirs: Create etc/ceilometer/rootwrap.d dir.
  * d/ceilometer-common.install: Drop usr/ prefix.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Aug 2017 10:52:47 -0400

ceilometer (1:9.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/pydist-overrides: Add kafka-python.
  * d/p/remove-upper-constraint-on-sqlalchemy: Dropped. Fixed upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Aug 2017 08:19:06 -0400

ceilometer (1:8.1.0-0ubuntu2) artful; urgency=medium

  * d/p/remove-upper-constraint-on-sqlalchemy.patch: Cherry-pick patch from
    master to remove upper-constraints for sqlalchemy.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Aug 2017 11:45:01 -0400

ceilometer (1:8.1.0-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * d/patches/disable-kafka.patch: Dropped no longer needed since
    its managed by pydist-overrides.
  * d/rules: Ignore usr/etc when try to install files.
  * d/rules: Install files in the right places

  [ James Page ]
  * New snapshot.
  * d/p/*: Drop, no longer required.
  * d/control: Add python-os-xenapi to (Build-)Depends.
  * d/*: wrap-and-sort.
  * d/control: Add python-zaqarclient to (Build-)Depends.
  * d/ceilometer-common.install: Drop install of event_pipeline.yaml,
    pipeline.yaml and event_definitions.yaml; these now ship as part
    of the Python module with configuration options to override.

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 17 Aug 2017 09:38:01 -0400

ceilometer (1:8.0.2-0ubuntu1) artful; urgency=medium

  * New upstream release (LP: #1706297).

 -- James Page <james.page@ubuntu.com>  Tue, 25 Jul 2017 14:32:27 +0100

ceilometer (1:8.0.1-0ubuntu4) artful; urgency=medium

  * d/p/sqla-compat.patch: Drop upper bound on sqlalchemy to ensure
    that binary packages are installable.

 -- James Page <james.page@ubuntu.com>  Sun, 07 May 2017 17:29:17 -0400

ceilometer (1:8.0.1-0ubuntu3) artful; urgency=medium

  * No-change rebuild for sqlalchemy 1.1.x.

 -- James Page <james.page@ubuntu.com>  Thu, 04 May 2017 08:13:00 -0400

## ceilometer 9.0.5

=== debian/changelog ===
ceilometer (1:9.0.5-0ubuntu1) artful; urgency=medium

  * New stable point release for OpenStack Pike (LP: #1758046).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 22 Mar 2018 08:41:38 -0400

ceilometer (1:9.0.4-0ubuntu1) artful; urgency=medium

  * New upstream version.
  * d/p/drop-kafka.patch: Rebased.
  * New stable point release for OpenStack Pike (LP: #1747065).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 02 Feb 2018 15:15:01 -0500

ceilometer (1:9.0.2-0ubuntu1) artful; urgency=medium

  * d/gbp.conf: Create stable/pike branch.
  * New stable point release for OpenStack Pike (LP: #1734990).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 28 Nov 2017 14:52:29 -0500
